Package com.xebialabs.xlrelease.domain

## Class ScheduledTrigger

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseScript
    - - com.xebialabs.xlrelease.domain.BasePythonScript
      - - com.xebialabs.xlrelease.domain.Trigger
        - - com.xebialabs.xlrelease.domain.ScheduledTrigger

- All Implemented Interfaces:
    `ConfigurationItem`, `CiWithUid`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `ReleaseTrigger`

      @Metadata(versioned=false,
                virtual=true)
      public abstract class ScheduledTrigger
      extends Trigger

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.Trigger

      `ALLOW_PARALLEL_EXECUTION, allowParallelExecution`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduledTrigger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getInternalProperties()` |
    `java.lang.String` | `getPeriodicity()` |
    `PollType` | `getPollType()` |
    `boolean` | `isInitialFire()` |
    `void` | `setInitialFire​(boolean initialFire)` |
    `void` | `setPeriodicity​(java.lang.String periodicity)` |
    `void` | `setPollType​(PollType pollType)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Trigger

      `getAllowParallelExecution, getCiUid, getContainerId, getDescription, getFolderId, getLastRunDate, getLastRunStatus, getTitle, getTriggerState, isEnabled, setAllowParallelExecution, setCiUid, setDescription, setEnabled, setFolderId, setLastRunDate, setLastRunStatus, setTitle, setTriggerState`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseScript

      `getAbortScript, getScript`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### ScheduledTrigger

          public ScheduledTrigger()

  - ### Method Detail

    - #### getInternalProperties

          public java.util.List<java.lang.String> getInternalProperties()

      Overrides:
        `getInternalProperties` in class `Trigger`

    - #### getPollType

          public PollType getPollType()

    - #### setPollType

          public void setPollType​(PollType pollType)

    - #### getPeriodicity

          public java.lang.String getPeriodicity()

    - #### setPeriodicity

          public void setPeriodicity​(java.lang.String periodicity)

    - #### isInitialFire

          public boolean isInitialFire()

    - #### setInitialFire

          public void setInitialFire​(boolean initialFire)